.\" PTM/WK/2001-VI
.\"===========================================================================
.\" rgrep  a recursive highlighting grep program, this manpage was writen by
.\" "Boris D. Beletsky" <borik@isracom.co.il> copyright(c) 1996
.\" This manpage may be freely distrebuted as part of GNU Debian Linux
.\"===========================================================================
.TH RGREP 1 "padziernik 1996" Debian "Podrczniki uytkownika"
.SH NAZWA
rgrep \- rekurencyjny, podwietlajcy program grep
.SH SKADNIA
.B rgrep 
.RI [ opcje ]
.I wzorzec
.RI [ plik ]...
.SH OPIS
.BR rgrep ,
w przeciwiestwie do
.BR grep (1) 
i 
.BR egrep (1),
potrafi rekurencyjnie zagbia si w podkatalogi. Tradycyjna metoda
wykonywania tego rodzaju wyszukiwania w systemach uniksowych wykorzystuje
polecenie
.BR find (1) 
w poczeniu z
.BR grep (1). 
Skutkuje to jednak bardzo kiepsk wydajnoci.
.SH PARAMETRY WIERSZA POLECE
.LP
.B -?
.RS
Dodatkowa pomoc (na niektrych systemach naley uy
.BR '-?' ,
by unikn interpretacji pytajnika przez powok).
.RE
.B -c
.RS
Zlicza dopasowania.
.RE
.B -h
.RS
Podwietla dopasowania (przyjmuje si terminal zgodny z ANSI).
.RE
.B -H
.RS
Wypisuje dopasowanie, a nie ca linijk je zawierajc.
.RE
.B -i
.RS
Ignoruje wielkoci liter.
.RE
.B -l
.RS 
Podaje tylko nazwy plikw.
.RE
.B -n
.RS
Wypisuje numer linii, w ktrej wystpuje dopasowanie.
.RE
.B -F
.RS
Poda za dowizaniami.
.RE
.B -r
.RS
Rekurencyjnie przeglda drzewo katalogw.
.RE
.B -N
.RS
Wyszukuje BEZ rekurencji.
.RE
.BI -R " wzorzec "
.RS
Jak \fB-r\fP, z wyjtkiem tego, e sprawdzane s tylko pliki pasujce
do \fIwzorca\fP.
.RE
.B -v
.RS
Wypisuje tylko te linie, ktre NIE pasuj do zadanego wzorca.
.RE
.BI -x " ext"
.RS
Sprawdza tylko pliki o rozszerzeniu \fIext\fP.
.RE
.B -D
.RS
Wypisuje wszystkie katalogi, jakie bd przeszukiwane. Ta opcja suy tylko
do celw diagnostycznych. Jeli jest uyta, to nie s przegldane adne pliki.
.RE
.BI -W " dug"
.RS
Linie maj dugo \fIdug\fP znakw (nie s zakoczone znakiem nowej linii).
.RE
.LP
.SH ROZPOZNAWANE WYRAENIA REGULARNE:
.LP
.B .
.RS
dopasowuje dowolny znak oprcz znaku nowej linii
.RE
.B \ed
.RS
dopasowuje dowoln cyfr
.RE
.B \ee
.RS
dopasowuje znak ESC
.RE
.B *
.RS
dopasowuje zero lub wicej wystpie poprzedzajcego wyraenia regularnego
.RE
.B +
.RS
dopasowuje co najmniej jedno wystpienie poprzedzajcego wyraenia
regularnego
.RE
.B ?
.RS
dopasowuje zero wystpie lub jedno wystpienie poprzedzajcego wyraenia
regularnego
.RE
.B ^
.RS
dopasowuje pocztek linii
.RE
.B $
.RS
dopasowuje koniec linii
.RE
.BI [ ... ]            
.RS
dopasowuje dowolny pojedynczy znak spord umieszczonych w nawiasach.
Na przykad, 
.B [-02468] 
dopasowuje
.RB ' - ' 
lub dowoln cyfr parzyst, a
.B [-0-9a-z] 
dopasowuje
.RB ' - ' ,
dowoln cyfr od
.B 0 
do 
.B 9
lub liter od
.B a 
do
.BR z .
.RE
.LP
.BI \e{ ... \e}
.LP
.BI \e( ... \e)
.LP
.BI "\e1, \e2, " ... ", \e9"
.RS
dopasowuje podacuch poprzednio dopasowany n-tym ujtym w nawiasy
podwyraeniem
.BI \e( ... \e)
wyraenia regularnego.
.br
Na przykad,
.B \\\\([\ \\\\t][a-zA-Z]+\\\\)\\\\1[\ \\\\t]
dopasowuje kade sowo kolejno powtrzone.
.RE
.LP
.SH PRZYKADY
.TP 3
o
Szukanie we wszystkich plikach z rozszerzeniem 'c' w biecym katalogu
i jego podkatalogach dopasowa napisu 'int ' na pocztku linii,
z wypisywaniem pasujcych linii wraz z ich numerami (dwie metody):
.RS
.RS 4
.PP
.B rgrep -n -R '*.c' '^int ' .
.br
.B rgrep -n -x c '^int ' .
.RE
.RE
.TP 3
o
Podwietlanie wszystkich wystpie powtrzonych sw w pliku 'strona.tex':
.RS
.B rgrep -h 
.B '[\ \\\\t]\\\\([a-zA-Z]+\\\\)[\ \\\\t]+\\\\1[\ \\\\t\\\\n]' strona.tex
.br
.B rgrep -h '^\\\\([a-zA-Z]+\\\\)[\ \\\\t]+\\\\1[\ \\\\t\\\\n]' strona.tex
.PP
Zauwa, e ta wersja programu rgrep wymaga w tym przypadku dwu przebiegw.
.RE
.TP 3
o
Przegldanie, w katalogu /usr/src/linux i niej, wszystkich plikw OPRCZ
majcych rozszerzenie '.o' lub '.a' w poszukiwaniu acucha 'mouse', bez
uwzgldniania wielkoci liter:
.RS
.RS 4
.PP
.B rgrep -i -R '*.[^ao]' mouse /usr/src/linux
.RE
.RE
.TP 3
o
Przeszukiwanie w pliku 'plik.fits', o staej dugoci rekordw, sowa
kluczowego EXTNAME:
.RS
.RS 4
.PP
.B rgrep -W80 ^EXTNAME plik.fits
.PP
.RE
Zauwa, e wyraenie regularne
.RB ' ^[A-Z]+ ' 
wypisze wszystkie nagwki formatu FITS.
.br
[tum.: FITS, Flexible Image Transport System - opracowany przez NASA format
do midzyplatformowej wymiany danych astronomicznych, gwnie grafiki, ale
rwnie tablic czy macierzy.]
.RE
.SH AUTOR
.LP
.RS
.I \
"""John E. Davis""" <davis@space.mit.edu>
.RE
.PP
T stron podrcznika systemowego przeoy na troff
.PP
"Boris D. Beletsky"
<borik@isracom.co.il>
